{{ ansible_managed | comment }}

server {
      listen 80 default_server;
      listen [::]:80 default_server;
      location ~* /.well-known {
{% if ansible_host in groups.main_proxy %}
            root {{ letsencrypt.acme_challenge_path }};
{% else %}
            proxy_pass http://{{ groups.main_proxy | first }};
{% endif %}
      }
      location ~* {
            return 301 https://$host$request_uri;
      }
}